---
title: Get a payment initiation
slug: payment/get-a-payment-initiation
description: Learn how to make a GET request to a specific endpoint using a curl command example provided in this document. Discover the necessary headers, authorization token, request method, header, and path parameters explained in detail. Gain insights into the res
docTags: 
createdAt: 2023-05-18T20:28:06.000Z
---

:::ApiMethodV2
```json
{
  "name": "payments",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}",
  "description": "Get a payment initiation inform",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "RdVu8l8OV99numIZxsxqQ",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "CBwoh6L4NDW31uQ1YwqPg",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "Ya6LgqghxJXsM5Uaq1KWp",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "Q4XttIU0DsPKO0s9a8NAv",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "l2uaP4P73d4AMVmewi2zN",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/customer/v1/instant/payments/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "l2uaP4P73d4AMVmewi2zN"
  },
  "results": {
    "languages": [
      {
        "id": "oVPio0tXzMbo-0Y0lzbC0",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"fcb72e3a-b346-4f71-b044-971dc23232c9\", // Required\n    \"appId\": \"0b59d801-08e0-4e84-9ecd-569f34e32279\", // Required\n    \"clientRequestId\": \"fcb72e3a-b346-4f71-b044-dsndsnmnkdsmk\", // Required\n    \"institutionId\": \"c8f0bf49-4744-4933-8960-7add6e590841\", // Required\n    \"customer\":\n    {\n        \"identifierType\": \"CPF\", // Required, CPF | CNPJ\n        \"identifier\": \"76109277673\", // Required\n        \"name\": \"João Silva\", // Optional\n        \"phone\": \"12345\", // Optional\n        \"email\": \"123@123.com\" // Optional\n    }, // Required\n    \"date\": \"2023-01-23\", // Required, utc -3\n    \"consentId\": \"yyt72e3a-b846-i771-b044-971dc232ujd8\", // Required\n    \"endToEndId\": \"E9040088820210128000800123873170\", // Required after the status CONSENT_AUTHORIZED\n    \"transactionIdentification\": \"cxf0bf49-4744-4933-8960-7add6e5908cc\", // Optional\n    \"loggedUserCpf\": \"76109277673\", // required if customer.identifierType = CNPJ\n    \"ibgeTownCode\": \"5300108\", // Optional\n    \"proxy\": \"xxxxx\", // Required if method = PIX_DICT or if method = PIX_INIC\n    \"qrCode\": \"xxxxx\", // Required if method = PIX_QRCODE\n    \"initType\": \"PIX_INIC\", // Required\n    \"amount\": \"1333.04\", // Required\n    \"currency\": \"BRL\", // Required\n    \"remittanceInformation\": \"Any description\", // Optinal, payment description\n    \"debtorAccount\":\n    {\n        \"ispb\": \"00000000\", // Required, ISPB (Brazilian Payment System Identifier) of the SPI (Instant Payment System)\n        \"issuer\": \"0001\", // Optional, Code of the issuing Agency of the account without digit.\n        \"number\": \"324223\", // Required, account number\n        \"accountType\": \"CACC\" // Required, CACC(Current Account)|SVGS(Savings Account)|TRAN(TransactingAccount)\n    }, // Optinal, payer's account\n    \"creditorAccount\":\n    {\n        \"ispb\": \"00000000\", // Required\n        \"issuer\": \"0001\", // Optional\n        \"number\": \"324223\", // Required\n        \"accountType\": \"CACC\", // Required\n        \"holder\":\n        {\n            \"identifier\": \"76109277673\", // Required\n            \"name\": \"John Doe\", // Required\n            \"identifierType\": \"CPF\" // Required\n        } // Required\n    }, // Required if mthod = PIX_MANU\n    \"externalInfo\":\n    {\n        \"key\": \"value\"\n    }, // Optional\n    \"cancellation\":\n    {\n        \"cancelledFrom\": \"MERCHANT\",  // Required, the cancellation source, MERCHANT|INITIATOR|INSTITUTION\n        \"cancelledAt\": \"2021-05-21T08:30:00Z\", // Required\n        \"cancelledBy\":\n        {\n            \"identifier\": \"11111111111\", // Required\n            \"identifierType\": \"CPF\" // Required\n        } // Required\n    }, // Required if the status is CANCELED\n    \"status\": \"CANCELED\", // Required\n    \"statusReason\": {\n        \"code\": \"NAO_INFORMADO\", // Required\n        \"message\": \"Erro não informado na iniciadora ou detentora de conta.\" // Required\n    }, // Optional\n    \"createAt\": \"2023-01-23T14:17:06.45Z\", // Required\n    \"statusUpdateAt\": \"2023-01-23T14:17:06.45Z\" // Required\n}"
      },
      {
        "id": "QrV7OYs2phfEd9yT5_YXC",
        "language": "409",
        "customLabel": "",
        "code": "{\n    \"statusCode\": 409,\n    \"error\": \"Conflict\",\n    \"message\": 'Insufficient permissions requested'\n}"
      }
    ],
    "selectedLanguageId": "QrV7OYs2phfEd9yT5_YXC"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "Payment initiation id, it will be returned when POST /payments is called",
        "": "Payment initiation id, it will be returned when POST /payments is called"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "JWT bearer token",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "ID of the payment order\nminLength: 1\nmaxLength: 100\npattern: ^[a-zA-Z0-9][a-zA-Z0-9\\-]{0,99}$\nexample: TXpRMU9UQTROMWhZV2xSU1FUazJSMDl"
    },
    {
      "name": "appId",
      "kind": "optional",
      "type": "string",
      "description": "Applications ID created by merchants\nminLength: 1\nmaxLength: 100\npattern: ^[a-zA-Z0-9][a-zA-Z0-9\\-]{0,99}$\nexample: TXpRMU9UQTROMWhZV2xSU1FUazJSMDl",
      "children": []
    },
    {
      "name": "clientRequestId",
      "kind": "optional",
      "type": "string",
      "description": "merchant's internal orderId. Only can be used for once. ",
      "children": []
    },
    {
      "name": "institutionId",
      "kind": "optional",
      "type": "string",
      "description": "Id from the bank chosen by the user",
      "children": []
    },
    {
      "name": "customer",
      "kind": "optional",
      "type": "object",
      "description": "User (natural person) who is logged in to the payment initiator institution",
      "children": [
        {
          "name": "identifierType",
          "kind": "optional",
          "type": "string",
          "description": "Type of the user identification document: CNPJ or CPF"
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "The number of the user identification document"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Username"
        },
        {
          "name": "phone",
          "kind": "optional",
          "type": "string",
          "description": "User's phone number"
        },
        {
          "name": "email",
          "kind": "optional",
          "type": "string",
          "description": "User's email"
        }
      ]
    },
    {
      "name": "date",
      "kind": "optional",
      "type": "string",
      "description": "Payment initiation date, the date here must be utc-3\nmaxLength: 10\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$\nexample: 2021-01-01",
      "children": []
    },
    {
      "name": "consentId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier of the consent created for the initiation of the requested payment\nmaxLength: 256\npattern: ^urn:[a-zA-Z0-9][a-zA-Z0-9\\-]{0,31}:[a-zA-Z0-9()+,\\-.:=@;$_!*'%\\/?#]+$\nexample: urn:bancoex:C1DD33123",
      "children": []
    },
    {
      "name": "endToEndId",
      "kind": "optional",
      "type": "string",
      "description": "It is a unique identifier, generated in the initiating payment institution and received in the account holding institution, permeating the entire payment journey Pix.\nminLength: 32\nmaxLength: 32\npattern: ^([E])([0-9]{8})([0-9]{4})(0[1-9]|1[0-2])(0[1-9]|[1-2][0-9]|3[0-1])(2[0-3]|[01][0-9])([0-5][0-9])([a-zA-Z0-9]{11})$\nexample: E9040088820210128000800123873170",
      "children": []
    },
    {
      "name": "transactionIdentification",
      "kind": "optional",
      "type": "string",
      "description": "pattern: ^[a-zA-Z0-9]{1,35}$\nmaxLength: 35\nexample: E00038166201907261559y6j6",
      "children": []
    },
    {
      "name": "loggedUserCpf",
      "kind": "optional",
      "type": "string",
      "description": "User (natural person) who is logged in to the Payment Initiator institution.\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n[Restriction] Required if customer.identifierType is CNPJ",
      "children": []
    },
    {
      "name": "ibgeTownCode",
      "kind": "optional",
      "type": "string",
      "description": "ibge town code\nminLength: 7\nmaxLength: 7\npattern: ^\\d{7}$\nexample: 5300108",
      "children": []
    },
    {
      "name": "proxy",
      "kind": "optional",
      "type": "string",
      "description": "Pix key\nmaxLength: 77\npattern: [\\w\\W\\s]*\nexample: 12345678901\nThe types of keys can be: phone, e-mail, CPF/CNPJ or random key.\nIn the case of a mobile phone, it must be informed in the E.1641 standard. \nIn the case of e-mail, it must have the format xxxxxxxx@xxxxxxx.xxx(.xx) and a maximum of 77 characters. \nIn the case of CPF, it must be informed with 11 numbers, without dots or dashes. In the case of CNPJ, it must be informed with 14 numbers, without dots or dashes. \n[Restriction] If initType is PIX_MANU, the proxy field should not be filled in. If initType is PIX_INIC, PIX_DICT, PIX_QRCODE, the proxy field should always be filled with the Pix key.",
      "children": []
    },
    {
      "name": "qrCode",
      "kind": "optional",
      "type": "string",
      "description": "QR code\nmaxLength: 512\npattern: [\\w\\W\\s]*\nexample: 00020104141234567890123426660014BR.GOV.BCB.PIX014466756C616E6F32303139406578616D706C652E636F6D27300012 BR.COM.OUTRO011001234567895204000053039865406123.455802BR5915NOMEDORECEBEDOR6008BRASILIA61087007490062 530515RP12345678-201950300017BR.GOV.BCB.BRCODE01051.0.080450014BR.GOV.BCB.PIX0123PADRAO.URL.PIX/0123AB CD81390012BR.COM.OUTRO01190123.ABCD.3456.WXYZ6304EB76\nThis field should be in UTF-8 format.  \n[Restriction] Required for PIX_QRCODE payments, with a maximum size of 512 bytes.",
      "children": []
    },
    {
      "name": "initType",
      "kind": "optional",
      "type": "string",
      "description": "Payment initiation type\nPIX_INIC - Pre registration of payee's account\nPIX_MANU - The creditor object must be sent with all payee information.\nPIX_DICT - The pixKey field represents creditor information.\nPIX_QRCODE - The qrCode field represents creditor information.",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "string",
      "description": "Amount that will be paid by the user\nminLength: 4\nmaxLength: 19\npattern: ^((\\d{1,16}\\.\\d{2}))$\nexample: 100000.12\n[Restriction] The value with 2 decimal places. ",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 3\npattern: ^([A-Z]{3})$\nexample: BRL\nNational currency code according to ISO-4217, i.e., 'BRL'. All reported monetary values are represented with the current currency of Brazil.",
      "children": []
    },
    {
      "name": "remittanceInformation",
      "kind": "optional",
      "type": "string",
      "description": "Payment description\nmaxLength: 140\npattern: [\\w\\W\\s]*\nexample: Pagamento da nota XPTO035-002.\nIt must be filled in whenever the paying user enters some additional information in a payment, to be sent to the recipient.",
      "children": []
    },
    {
      "name": "debtorAccount",
      "kind": "optional",
      "type": "object",
      "description": "Payer's origin account information",
      "children": [
        {
          "name": "ispb",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
        },
        {
          "name": "issuer",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
        },
        {
          "name": "number",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
        }
      ]
    },
    {
      "name": "creditorAccount",
      "kind": "optional",
      "type": "object",
      "description": "Required if mthod = PIX_MANU",
      "children": [
        {
          "name": "ispb",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
        },
        {
          "name": "issuer",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
        },
        {
          "name": "number",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
        },
        {
          "name": "holder",
          "kind": "optional",
          "type": "object",
          "description": "Required if initType is PIX_MANU",
          "children": [
            {
              "name": "identifierType",
              "kind": "optional",
              "type": "string",
              "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
            },
            {
              "name": "identifier",
              "kind": "optional",
              "type": "string",
              "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": "Username"
            }
          ]
        }
      ]
    },
    {
      "name": "externalInfo",
      "kind": "optional",
      "type": "object",
      "description": "Metadata, merchant customizable",
      "children": []
    },
    {
      "name": "cancellation",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "cancelledFrom",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "cancelledAt",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "cancelledBy",
          "kind": "optional",
          "type": "object",
          "description": "",
          "children": [
            {
              "name": "identifierType",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "identifier",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ]
        }
      ]
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status",
      "children": []
    },
    {
      "name": "statusReason",
      "kind": "optional",
      "type": "object",
      "description": "Status update reason",
      "children": [
        {
          "name": "code",
          "kind": "optional",
          "type": "string",
          "description": "Code"
        },
        {
          "name": "message",
          "kind": "optional",
          "type": "string",
          "description": "Message"
        }
      ]
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "Create time - utc time format\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z",
      "children": []
    },
    {
      "name": "statusUpdateAt",
      "kind": "optional",
      "type": "string",
      "description": "Status update time - utc time format\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z",
      "children": []
    },
    {
      "name": "AuthorisationFlow",
      "kind": "optional",
      "type": "string",
      "description": "Enum: [HYBRID_FLOW,JSR_FLOW]",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "payments",
  "legacyHash": "zUJevrOhaurPC-FAb-mMs"
}
```
:::





